<? include('checkcookie.php'); ?>
<h3>Просмотр конкурсов</h3>
<br>

<?
if($_POST["id"]!="")
{
	$id=$_POST["id"];
	mysql_query("delete from tb_comp where id='$id'");
	mysql_query("delete from tb_compdata where idk='$id'");
	echo "<font color=#00aa00><b>Конкурс удален</b></font>";
}
?>

<table width=100%>
<tr>
	<th>№</th>
	<th>Название</th>
	<th>Дата старта</th>
	<th>Дата окончания</th>
	<th>Дата удаления</th>
	<th>Участники опр-ся по</th>
	<th>Учитывать в конкурсе</th>
	<th>Минимум для участия</th>
	<th>Описание конкурса</th>
	<th>Приз за 1-ое место</th>
	<th>Приз за 2-ое место</th>
	<th>Приз за 3-е место</th>
	<th>Статус конкурса</th>
	<th></th>
</tr>
<?
$res=mysql_query("select valutaname from tb_site where id='1'");
$res=mysql_fetch_array($res);
$vn=$res["valutaname"];

$res=mysql_query("select * from tb_comp order by id asc");
while($row=mysql_fetch_array($res))
{
	echo "<tr><td align=center>".$row["id"]."</td><td align=center>".$row["name"]."</td><td align=center>".$row["startdate"]."</td><td align=center>".
	$row["enddate"]."</td><td align=center>".$row["deldate"]."</td><td align=center>";
	
	if($row["lidername"]=='0') { echo "Логин в системе"; }else{ echo "WMID"; }
	
	echo "</td><td align=center>";

	switch($row["param"])
	{
		case 0: echo "Привлеченные рефералы"; break;
		case 1: echo "Купленные рефералы"; break;
		case 2: echo "Купленные реф. боты"; break;
		case 3: echo "Кол-во сделанных кликов"; break;
		case 4: echo "Кол-во выполненных заданий"; break;
		case 5: echo "Кол-во визитов по реф. ссылке"; break;
		case 6: echo "Число посещений при заказе динамических ссылок"; break;
		case 7: echo "Число дней при заказе статических ссылок"; break;
		case 8: echo "Число дней при заказе баннеров"; break;
		case 9: echo "Число дней при заказе рекламы во фрейме"; break;
		case 10: echo "Число дней при заказе рекламы в чате"; break;
		case 11: echo "Число дней при заказе текстовых объявлений"; break;
		default: echo "Ошибка!!!";
	}

	echo "</td><td align=center>".$row["min"]."</td><td align=center>".$row["descr"]."</td><td align=center>".$row["pris1value"]." ";
	if($row["pris1type"]=='0') { echo $vn; }else{ echo "реферал(-а, -ов)"; }

	echo "</td><td align=center>".$row["pris2value"]." ";
	if($row["pris2type"]=='0') { echo $vn; }else{ echo "реферал(-а, -ов)"; }

	echo "</td><td align=center>".$row["pris3value"]." ";
	if($row["pris3type"]=='0') { echo $vn; }else{ echo "реферал(-а, -ов)"; }

	echo "</td><td align=center>";

	$t=time();
	$sd=strtotime($row["startdate"]);
	$ed=strtotime($row["enddate"]);
	$dd=strtotime($row["deldate"]);
	
	if($t<$sd) $status="<font color=#666666><b>Еще не начинался</b></font>";
	if($t>=$sd && $t<$ed) $status="<font color=#00cc00><b>Активен</b></font>";
	if($t>$ed) $status="<font color=#ff0000><b>Завершен</b></font>";
	echo $status;	

	echo "</td><td align=center>";
	?>
	<form action="" method="post">
	<input type="hidden" value="<?=$row["id"]?>" name="id">
	<input type=submit value="Удалить">
	</form>
	</td></tr>
	<?
}
?>
</table>